# <div align="center"> weiz*PVP*: **README** </div>

<div align="center">

Addon hosted on: [**Curse**](https://wow.curseforge.com/projects/weizpvp) *and* [**WoW Interface**](https://www.wowinterface.com/downloads/info24779-weizPVP.html)

![weizPVP Logo](https://i.imgur.com/Kmp7bt7.png)

----

![weizPVP Screenshot 1](https://i.imgur.com/pTZxxmS.png) 
> *Screenshot showing the main window with crosshairs enabled.*

</div>
<div align="left">

----

## :star: **OVERVIEW**

**weiz*PVP*** was developed with one focus in mind; **World PVP**.

From enemy player detection, to information gathering, to visual and audio alerts for important events and helpful combat features like the built-in _Crosshairs_; this addon's goal is to help give you the information and tools you need to do your best when facing enemy players in the world.

**weiz*PVP*** lets you know how many enemy players are nearby, as well as their roles, levels, guilds, health, and more!

<br>

- *Tired of getting ganked by players you didn't even know were around?*
- *Want a better way to find enemy players to kill for the weekly quest?*
- *Want to know when there is a raid incoming to the city you're in, before it's too late to react?*<br>
<center><b>weiz<i>PVP</i> can help! </b></center><br>

Whether you're solo doing world quests or in a raid group attacking a city, **weiz*PVP*** is there to make life easier and keep you apprised of important enemy player details.

New features and optimization are being added all the time, and much more is planned for the future! 

<br>

----

## :orange_book: **FEATURES**

### **:computer: Main Window**
- Resize, lock and pin the window.
  - *(Toggle pinning by Right Clicking the title bar.)*
  - *(Toggle locking by using Ctrl + Right Click on the title bar.)*
  - Notifications of the changes will show on the bottom/status bar as well as if you attempt to move or resize a locked or pinned window.
- Nearby enemy player list. Includes:
  - Name
  - Level
  - Role
  - Guild
  - Class
  - Off-realm status; *(shown as a"\*" next to their name if they're from another realm)*
  - Health and death status
- Soring of the player list to keep the most active players up top and idle or dead players towards the bottom.
- Clickable player bars that target the player.
- Scrollable player list *(while out of combat)*.
- Nearby count that shows how many players are detected.
- Clear list button.
- Collapsible window button.

### **:eye: Stealth Detection**
 - Pop up a display when an enemy player is detected going stealth/invisible/etc.
   - Includes a class-colored player name as well as the spell or ability that was used.
   - Detects use of items that give invisibility.
 - Optional sound alert played on detection.

### **:dart: Crosshairs**
 - Color changes based on class targeted.
 - Opacity fading based on distance.
 - Movement animations are based on FPS so they won't slow down if FPS drops.
 - Net-o-Matic icon appears if it is possible to use it on the target.
 - Optional display of the target's name and guild.

### **:gear: Options**
  - Can be accessed via **`/wpvp config`** or via Interface Options.
  - Enable/Disable in Battlegrounds and Arenas.
  - New enemy player detected audio alert.
  - BETA Options
    - A place for users to test out potential new features while working with an otherwise stable release.

<br>

----

## :moneybag: **DONATIONS**

Donations are always greatly appreciated and help allow me to spend more time developing the addon and future features *(there is much more to be done!)*.

If you wish to donate, you can do so by using my [**PayPal.me**](https://www.paypal.me/EmeraldWeiz) page.

**Thanks!**

</div>
